/******************************************************************************\
*
* File:          Region.cpp
* Creation date: May 17, 2005 22:30
* Author:        ClassBuilder
*                XXXX
* Purpose:       Method implementations of class 'Region'

\******************************************************************************/

// Master include file
#include "Region.h"

Region::Region(long surface, double moy, double sigma, int label) 
    : _surface(surface)
    , _moy(moy)
    , _sigma(sigma)
    , _label(label)
    {   }

Region::Region(int label) 
    : _surface(0)
    , _moy(0)
    , _sigma(0)
    , _label(label)
{}

Region::Region() 
    : _surface(0)
    , _moy(0)
    , _sigma(0)
    , _label(0)
{}

Region::~Region()
{}

bool Region::operator < (Region& r){
	return (_surface<r._surface);
}
