//TD7.CPP

#include "cryptographe.h"
#include <iostream>
#include <fstream>
#include <iomanip>

using namespace std;



void f1(){
	char file[]="tmp_double.txt";
	//p148
	ifstream fin(file);
	//p128 ::ios
	if (fin.fail()){
		cout<<"probleme avec le fichier "<<file<<endl;
		return;
	}

	//p128 ::ios
	while(!fin.eof()){
		double x;
		fin>>x;
		cout<<x<<endl;
	}
}
//positionnement direct dans fmtflags avec flags()
void f2(){
	char file[]="tmp_double.txt";
	ifstream fin(file);
	if (fin.fail()) cout<<"probleme avec le fichier "<<file<<endl;
	//p125 ios_base:: p127 ios
	ios_base::fmtflags opt=cout.flags();
	ios_base::fmtflags opt_left=opt|ios_base::left;
	ios_base::fmtflags opt_right=opt|ios_base::right;
	//p128
	cout.precision(4);
	//p128
	cout.fill('.');
		
	
	while(!fin.eof()){
		double x;
		fin>>x;

		cout.flags(opt_left);
		cout.width(12);
		cout<<x;
		cout<<'!';
		cout.flags(opt_right);
		cout.width(15);
		cout<<x<<endl;
	}
}

//positionnement dans le champ adhoc par une mthode
void f3(){
	char file[]="tmp_double.txt";
	ifstream fin(file);
	if (fin.fail()) cout<<"probleme avec le fichier "<<file<<endl;
	//p127
	cout.setf(ios_base::scientific);
	cout.setf(ios_base::showpos);//+
	cout.setf(ios_base::boolalpha);
	
	cout.precision(4);
	cout.fill('.');
		
	
	while(!fin.eof()){
		double x;
		fin>>x;
//p127
		cout.setf(ios_base::left,ios::adjustfield);
		cout.width(12);
		cout<<x;
		cout<<'!';
		cout.unsetf(ios_base::left);
		cout.width(15);
		cout<<x;
		
		if (x==int(x)) cout<<" "<<false;
		else cout<<" "<<true;
		cout<<endl;
	}
	cout.flags((ios_base::fmtflags) 0); // restauration des anciens para

}

//positionnemnt avec manipulateurs
void f2b(){
	char file[]="tmp_double.txt";
	ifstream fin(file);
	if (fin.fail()) cout<<"probleme avec le fichier "<<file<<endl;
	while(!fin.eof()){
		double x;
		fin>>x;
		//p 129
		cout<<setw(12)<<setprecision(4)<<setfill('.')<<left<<x<<'!'<<setw(15)<<right<<x<<endl;
	}
	cout.flags((ios_base::fmtflags) 0);
}

void f3b(){
	char file[]="tmp_double.txt";
	ifstream fin(file);
	if (fin.fail()) cout<<"probleme avec le fichier "<<file<<endl;
	while(!fin.eof()){
		double x;
		fin>>x;
		cout<<scientific<<boolalpha<<showpos<<setw(12)<<setprecision(4)<<setfill('.')<<left<<x<<'!';
		cout<<setw(15)<<right<<x;
		if (x==int(x)) cout<<" "<<false;
		else cout<<" "<<true;
		cout<<endl;
	}
	cout.flags((ios_base::fmtflags) 0);
}
/*
void main2(){
	
	fraction f1;
	cout<<"entrer une fraction:"<<endl;
	cin>>f1;
	cout<<"fraction="<<f1<<endl;
*/	
	/*
    f1();
	f2();
	f3();
	f2b();
	f3b();
 */

	/*
    cryptographe c1("toto","tmp1.txt","tmp2.txt",12);
	c1.encrypt();
	c1.look_at_out_file();
	
	cryptographe c2("toto","tmp2.txt","tmp3.txt",12);
	c2.decrypt();
	c2.look_at_out_file();

	cryptographe c3("toto","tmp2.txt","tmp4.txt",12);
	c3.encrypt();

	cryptographe c4("toto","tmp4.txt","tmp5.txt",12);
	c4.encrypt();
	c4.look_at_out_file();

	cryptographe c5("toto","tmp5.txt","tmp6.txt",12);
	c5.decrypt();
	c5.look_at_out_file();

	cryptographe c6("toto","tmp6.txt","tmp7.txt",12);
	c6.decrypt();
	c6.look_at_out_file();

	cryptographe c7("toto","tmp7.txt","tmp8.txt",12);
	c7.decrypt();
	c7.look_at_out_file();
 */
 
//}

