/*********************************************\
* File:          Vehicule.cpp
* Creation date: December 24, 2004 13:01
* Author:        Jpc
* Purpose:       Method implementations of class 'Vehicule'
\**********************************************/

// Master include file
#include "hangarVehic.h"

/*
METHODE  appeler en premier dans le constructeur
*/
void Vehicule::ConstructorInclude(){
    _refHangar = (Hangar<Vehicule>*)0;
}

/*
METHODE  appeler en premier dans le destructeur
*/
void Vehicule::DestructorInclude(){
	assert(this);
	allocator<Vehicule>::pointer index;

    if (_refHangar){
		index= ((Hangar<Vehicule> *)_refHangar)->recherche((Vehicule &) *this);
		((Hangar<Vehicule> *)_refHangar)->RemoveT((Vehicule & )*this);
        _refHangar = (Hangar<Vehicule>*)0;
	}
	
}
/*
Constructor methods.
*/
Vehicule::Vehicule(string marque_, string modele_) 
    : marque(marque_)
    , modele(modele_){
	ConstructorInclude();
}

/*
Destructor method.
*/
Vehicule::~Vehicule(){
	cout<<"vehicule :"<<"detruit\n";
	DestructorInclude();
}

	