/******************************************************************************\
*
* File:          Vehicule1.h
* Creation date: December 24, 2004 13:01
* Author:        JPC
*                XXXX
* Purpose:       Declaration of class 'Vehicule'
*
*
\******************************************************************************/
#ifndef _VEHICULE_H
#define _VEHICULE_H

class Vehicule
{
private:
    string marque;
    string modele;

public:
//CONSTRUCTEUR
	Vehicule(string marque_, string modele_);
//DESTRUCTEUR
    virtual ~Vehicule();
//METHODE
    void affiche(ostream& aff) const;
//ACCESSEURS
    const string& GetMarque() const;
    void SetMarque(string& marque);
    const string& GetModele() const;
    void SetModele(string& modele);

//LIEN vers objet actif
public:
    Personne* _refPersonne;
//METHODES pour CONSRUCTEUR et DESTRUCTEUR   
private:
    void ConstructorInclude();
    void DestructorInclude();
    
//METHODE RELATION AVEC OBJET ACTIF
public:
    Personne* GetPersonne() const { assert(this);return _refPersonne; };

};

#endif


#ifdef CB_INLINES
#ifndef _VEHICULE_H_INLINES
#define _VEHICULE_H_INLINES

/*
Returns the value of member 'marque'.
*/
inline const string& Vehicule::GetMarque() const{
    return marque;
}

/*
Set the value of member 'marque' to 'marque'.
*/
inline void Vehicule::SetMarque(string& marque){
    marque = marque;
}

/*
Returns the value of member 'modele'.
*/
inline const string& Vehicule::GetModele() const{
    return modele;
}

/*
Set the value of member 'modele' to 'modele'.
*/
inline void Vehicule::SetModele(string& modele){
    modele = modele;
}


#endif
#endif
