/***************************************************\
* File:          Voiture.h
* Creation date: January 05, 2005 22:20
* Author:        Jpc
\******************************************/
#ifndef _VOITURE_H
#define _VOITURE_H

class Voiture
    : public Vehicule
{
protected:
    int kilometrage;

public:
//CONSTRUCTEUR
    Voiture(string marque_, string modele_, int kilometrage_);
//DESTRUCTEUR
    virtual ~Voiture();
//ACCEsSEUR
    int GetKilometrage() const;
    void SetKilometrage(int kilometrage);
//METHODES polymorphisme
	void affiche(ostream& aff) const;
	bool operator == (Vehicule * pV) const;

};

#endif


#ifdef CB_INLINES
#ifndef _VOITURE_H_INLINES
#define _VOITURE_H_INLINES
/*
Returns the value of member 'kilometrage'.
*/
inline int Voiture::GetKilometrage() const{
    return kilometrage;
}
/*
Set the value of member 'kilometrage' to 'kilometrage'.
*/
inline void Voiture::SetKilometrage(int kilometrage){
    kilometrage = kilometrage;
}
#endif
#endif
