//complexe.cpp
#include "complexe.h"

//constructeurs
complexe::complexe(double re):re(re),im(0){}
complexe::complexe(double re, double im):re(re),im(im){}

//accesseurs
double &   complexe::lire_re() {
return(re);
}
//exemple avec passage retour par rfrence
double const &  complexe::lire_im() const{
return(im);
}
void complexe::ecrit_re(double a){
	re=a;
}
void complexe::ecrit_im(double a){
	im=a;
}
//SURCHARGE des oprateur
//retour par reference impossible sur r
complexe complexe::operator + (complexe const &c){
	complexe r(re+c.re,im+c.im);
	return(r);
}
//retour par reference impossible sur r
complexe complexe::operator - (complexe const &c){
	complexe r(re-c.re,im-c.im);
	return(r);
}
complexe complexe::operator - (){
	complexe r(-re,-im);
	return(r);
}

//SURCHARGE de l'oprateur =
// indispensable si les constructeurs sont "explicit"
//retour par rfrence
complexe & complexe::operator = (double d){
	re=d;
	im=0;
	return *this;
}
void complexe::operator += (complexe const &c){
	re+=c.re;
	im+=c.im;
}
//fonction ordinaire
ostream & operator << (ostream & os, complexe  &  c){
	return
        os << "re:"<< c.lire_re()<<
        "  im:"<< c.lire_im()<<endl;
}






