//dateHerit.cpp


#include "dateHerit.h"
//using namespace TIME;
using namespace std;


bool TIME::evenement_1_jour_avec_duree::operator<=(const evenement_1_jour_avec_duree& e) const{
		 if (_date<e._date) return true;
		 if (_date==e._date && _debut<=e._debut) return true;
}

void TIME::evenement_1_jour::edition(){
		 std::cout<<"*** edition d'un evenement ****";
		 std::cout<<"entrer la nouvelle date :";
		 int j, m, a;
		 std::cin>>j>>m>>a;
		 _date.set_date(j,m,a);
		 std::cout<<"entrer le nouvel objet ";
		 std::cin>>_objet;
}

void TIME::evenement_1_jour::affiche(std::ostream& f) const{
		 f<<"***** evenement ********"<<std::endl;
		 f<<"date="<<_date<<std::endl;
		 f<<"objet="<<_objet<<std::endl;
}

void TIME::evenement_plusieurs_jours::edition(){
		 std::cout<<"*** edition d'un evenement ****";
		 std::cout<<"entrer la nouvelle date :";
		 int j, m, a;
		 std::cin>>j>>m>>a;
		 _date.set_date(j,m,a);
		 std::cout<<"entrer le nouvel objet ";
		 std::cin>>_objet;
		 std::cout<<"entrer le nombre de jours :";
		 std::cin>>nb_jours;
}

void TIME::evenement_plusieurs_jours::affiche(std::ostream& f) const{
		 f<<"***** evenement ********"<<std::endl;
		 f<<"date debut="<<_date<<std::endl;
		 f<<"date fin="<<get_date_fin()<<std::endl;
		 f<<"objet="<<_objet<<std::endl;
}

TIME::date TIME::evenement_plusieurs_jours::get_date_fin() const{
		 return _date+nb_jours;
}

TIME::horaire TIME::evenement_1_jour_avec_duree::get_horaire_fin() const{
		 int fin_minutes=_debut.get_heure()*60+_debut.get_minute()+_duree.get_duree_minutes();
		 int h=fin_minutes/60;
		 int m=fin_minutes%60;
		 if (h>24) h-=24;
		 return horaire(h,m);
}

void TIME::evenement_1_jour_avec_duree::edition(){
		 evenement_1_jour::edition();
		 std::cout<<"entrer le nouvel horaire de debut :";
		 int h, m;
		 std::cin>>h>>m;
		 _debut.set_horaire(h,m);
		 std::cout<<"entrer la nouvelle duree :";
		 std::cin>>h>>m;
		 _duree.set_duree(h,m);
}

void TIME::evenement_1_jour_avec_duree::affiche(std::ostream& f) const{
		 evenement_1_jour::affiche(f);
		 f<<"debut="<<_debut<<std::endl;
		 f<<"duree="<<_duree<<std::endl;
		 f<<"fin="<<get_horaire_fin()<<std::endl;
}

void TIME::rendez_vous::edition(){
		 evenement_1_jour_avec_duree::edition();
		 std::cout<<"entrer la nouvelle personne :";
		 std::cin>>personne;
		 std::cout<<"entrer le nouveau lieu :";
		 std::cin>>lieu;
}

void TIME::rendez_vous::affiche(std::ostream& f) const{
		 evenement_1_jour_avec_duree::affiche(f);
		 f<<"personne="<<personne<<std::endl;
		 f<<"lieu="<<lieu<<std::endl;
}



//fin dateHerit.cpp
