//vehicule.cpp
#include "vehicule.h"

Vehicule::Vehicule(string marque,string modele)
  :marque(marque), modele(modele)
{}
Vehicule::Vehicule(const Vehicule &v)
  :marque(v.marque), modele(v.modele)
{}
void Vehicule::affiche(ostream& affichage) const{
  affichage << "marque : " << marque<< ", modele: " <<  modele<< endl;
}
Vehicule * Vehicule::copie (){
	Vehicule* pV= new Vehicule (*this);
	return pV;
}

bool Vehicule::operator == (Vehicule &v){
	return ((marque==v.marque)&&(modele==v.modele));
	}


Vehicule & Vehicule::operator =(Vehicule& v){
	Vehicule* pV= new Vehicule (v);
	return *pV;
}

Vehicule::~Vehicule(){
cout << "vehicle dtruit"<<endl;
}

Voiture::Voiture(string marque,string modele,double cylindree,double km)
:
Vehicule(marque, modele),cylindree(cylindree),kilometrage(km)
{}
Voiture::Voiture(const Voiture &v)
:
Vehicule(v.marque, v.modele),cylindree(v.cylindree),kilometrage(v.kilometrage){}
Voiture::~Voiture(){
cout <<"voiture detruite :"<< modele<<endl;
}
Vehicule * Voiture::copie (){
	//les deux solutions fonctionnent
	Voiture* pV= new Voiture (*this);
	//Vehicule * pV= new Voiture (*this);
	Vehicule * pV1 =pV;
	return pV1;
}

bool Voiture::operator == (Voiture &v){
	bool test;
	test=(marque==v.marque)&&(modele==v.modele);
	return( (test)&&((cylindree==v.cylindree)&&(kilometrage==v.kilometrage)));
	}

Voiture & Voiture::operator =(Voiture& v){
	Voiture* pV= new Voiture( v);
	return *pV;
}



void Voiture::affiche(ostream& affichage) const {
  affichage << " ---- Voiture ----" << endl;
  Vehicule::affiche(affichage);
  affichage << cylindree << " litres, "
	    << kilometrage << " km." << endl;
}

Avion::Avion(string marque,string modele,
	     Type_Avion _moteur, unsigned int heures)
: Vehicule(marque,modele),moteur(_moteur),heures_vol(heures)
{}
Avion::Avion(const Avion &a)
: Vehicule(a.marque,a.modele),moteur(a.moteur),heures_vol(a.heures_vol)
{}
Vehicule * Avion::copie (){
	return (new Avion (*this));
}

bool Avion::operator == (Avion &v){
	bool test;
	test=(marque==v.marque)&&(modele==v.modele);
	return( (test)&&((moteur==v.moteur)&&(heures_vol==v.heures_vol)));
	}

Avion & Avion::operator =(Avion& a){
	Avion* pA= new Avion (a);
	return *pA;
}

Avion::~Avion(){
cout <<"avion detruit :"<< modele<<endl;
}
void Avion::affiche(ostream& affichage) const {
  affichage << " ---- Avion  ";
  if (moteur == HELICES) affichage << "hlices";
  else                   affichage << "raction";
  affichage << " ----" << endl;
  Vehicule::affiche(affichage);
  affichage << heures_vol << " heures de vol." << endl;
}




