//vehicule.h

#ifndef _VEHIC_H
#define _VEHIC_H
#include <iostream>
#include <stdlib.h>
#include <string>
using namespace std;

enum Type_Avion {HELICES,REACTION,VIDE};
#define max(A,B) (A>B?A:B)

class Vehicule {
protected:
  string       marque       ;
  string       modele       ;
public:
  Vehicule(string marque="", string modele="");
  Vehicule (const Vehicule &v);
virtual Vehicule * copie ();
virtual bool operator == (Vehicule &);

Vehicule & operator =(Vehicule&);   

virtual  ~Vehicule();

virtual void affiche(ostream& affichage) const;
friend class fichier;
};
class Voiture : public Vehicule {
protected:
  double cylindree       ;
  double kilometrage     ; 
public:
  Voiture(string marque="", string modele="",double cylindree=0, double km=0);
  Voiture (const Voiture &v);
  Vehicule* copie ();
  bool operator == (Voiture &);
  Voiture & operator =(Voiture&);
  void affiche(ostream&) const;
  ~Voiture(); 
};
class Avion : public Vehicule {
protected:
  Type_Avion   moteur     ;
  unsigned int heures_vol ;
public:
    Avion(string marque="",string modele="",Type_Avion moteur=VIDE, unsigned int heures=0);
	Avion (const Avion &a);
	Vehicule*  copie ();
	bool operator == (Avion &);
	Avion & operator =(Avion&);
	void affiche(ostream&) const;
	~Avion();
};
#endif

