#ifndef _HANGARVEHIC_H
#define _HANGARVEHIC_H

// Date, Time & Version defines
#define HANGARVEHIC_DATE    20050112
#define HANGARVEHIC_TIME    225928
#define HANGARVEHIC_VERSION 42


// Type declarations
#include <stdlib.h>
#include <string>
#include <iostream>
#include <assert.h>
using namespace std ;


// Forward class declarations
class Vehicule;
class Voiture;
class Avion;
template<class T> class Hangar;

// Needed ClassBuilder include files

// Make sure the inline implementations are skipped
#ifdef CB_INLINES
#undef CB_INLINES
#endif

// Include classes, for declarations
#include "Vehicule.h"
#include "Voiture.h"
#include "Avion.h"
#include "Hangar.h"


// Include classes again, for inline implementation
#define CB_INLINES
#include "Vehicule.h"
#include "Voiture.h"
#include "Avion.h"
#include "Hangar.h"

//@START_USER2
//@END_USER2

#endif
