/******************************************************************************\
*
* File:          Imagette.cpp
* Creation date: May 18, 2005 11:40
* Author:        ClassBuilder
*                XXXX
\******************************************************************************/
#include "Imagette.h"
/*
Constructor method.
*/
Imagette::Imagette(int*  Pimag,int nX,int nY,int nReg) 
    : _nX(nX)
    , _nY(nY)
    , _nReg(nReg),_nRegPostFus(nReg)
  
{
    //_Pim=Pimag;
	
	_Pim=new int[nX*nY];
	for (int k=0;k<nX*nY;k++) _Pim[k]=Pimag[k];
	
    tabEquiv=new int[nReg+1];
    for (int i=0;i<=nReg;i++) tabEquiv[i]=i;

}

Imagette::Imagette(Imagette &I)
	: _nX(I._nX)
    , _nY(I._nY)
    , _nReg(I._nReg),_nRegPostFus(I._nReg)
{
    //_Pim=Pimag;
	_Pim=new int[_nX*_nY];
	for (int k=0;k<_nX*_nY;k++) _Pim[k]=I._Pim[k];
    tabEquiv=new int[_nReg+1];
    for (int i=0;i<=_nReg;i++) tabEquiv[i]=I.tabEquiv[i];
}


/*
Destructor method.
*/
Imagette::~Imagette()
{
delete[] _Pim;
delete[] tabEquiv;
}

int& Imagette::GetPix(int y, int x) throw (XYout){
    if (y>=_nY)  throw XYout(1, "depassement y\n");
    if (x>=_nX)  throw XYout(2, "depassement x\n");
    return tabEquiv[_Pim[y*_nX+x]];
    }

int& Imagette::GetTabEquiv(int i){
    return tabEquiv[i];
    }

void Imagette::affiche(ostream& aff){
    try{
    for (int iy=0;iy<GetNY();iy++){
		for (int ix=0;ix<GetNX();ix++)
			aff<<GetPix(iy,ix)<<",";
        aff<<endl;
        }
    }//fin bloc try
    catch (XYout e){
        e.affiche();
        }//fin catch

    }