/******************************************************************************\
*
* File:          Imagette.h
* Creation date: May 18, 2005 11:40
* Author:        ClassBuilder
*                XXXX
* Purpose:       Declaration of class 'Imagette'
*
\******************************************************************************/
#include "XYout.h"
#include <iostream>
#ifndef _IMAGETTE_H
#define _IMAGETTE_H

class Imagette
{
private:
    int* _Pim;
    int _nX;
    int _nY;
    int _nReg;
	int _nRegPostFus;//nombre de rgions aprs fusion
    int *tabEquiv;



public:
    Imagette(int*  Pimag,int nX,int nY,int nReg);
	Imagette (Imagette &Im);
    virtual ~Imagette();
    int GetNReg() const;
    void SetNReg(int nReg);
	void SetNRegFus(int nReg);
    int GetNX() const;
    void SetNX(int nX);
    int GetNY() const;
    void SetNY(int nY);

    int& GetPix(int y, int x) throw ( XYout);
    int& GetTabEquiv(int i);
    void affiche(ostream& aff);

    //int& SetPix(int y, int x) throw ( XYin);
};

/*
Returns the value of member '_nReg'.
*/
inline int Imagette::GetNReg() const
{
    return _nReg;
}
/*
Set the value of member '_nReg' to 'nReg'.
*/
inline void Imagette::SetNReg(int nReg)
{
    _nReg = nReg;
}

inline void Imagette::SetNRegFus(int nReg){
	_nRegPostFus=nReg;
}
/*
Returns the value of member '_nX'.
*/
inline int Imagette::GetNX() const
{
    return _nX;
}
/*
Set the value of member '_nX' to 'nX'.
*/
inline void Imagette::SetNX(int nX)
{
    _nX = nX;
}
/*
Returns the value of member '_nY'.
*/
inline int Imagette::GetNY() const
{
    return _nY;
}
/*
Set the value of member '_nY' to 'nY'.
*/
inline void Imagette::SetNY(int nY)
{
    _nY = nY;
}



#endif
