/******************************************************************************\
*
* File:          Region.h
* Creation date: May 17, 2005 22:30
* Author:        ClassBuilder
*                XXXX
* Purpose:       Declaration of class 'Region'
*

\******************************************************************************/

#include <iostream>
#ifndef _REGION_H
#define _REGION_H


class Region
{
private:
    long _surface;
    double _moy;
    double _sigma;
    int _label;

public:
    Region(long surface, double moy, double sigma, int label);
    Region(int label);
    Region();
    virtual ~Region();
    int GetLabel() const;
    void SetLabel(int label);
    double GetMoy() const;
    void SetMoy(double moy);
    double GetSigma() const;
    void SetSigma(double sigma);
    long GetSurface() const;
    void SetSurface(long surface);

	bool operator < (Region& r);
};



inline int Region::GetLabel() const
{
    return _label;
}

inline void Region::SetLabel(int label)
{
    _label = label;
}

inline double Region::GetMoy() const
{
    return _moy;
}

inline void Region::SetMoy(double moy)
{
    _moy = moy;
}

inline double Region::GetSigma() const
{
    return _sigma;
}

inline void Region::SetSigma(double sigma)
{
    _sigma = sigma;
}


inline long Region::GetSurface() const
{
    return _surface;
}

inline void Region::SetSurface(long surface)
{
    _surface = surface;
}



#endif
