/******************************************************************************\
* File:          Vehicule.h
* Creation date: December 24, 2004 13:01
* Author:        Jpc
\******************************************************************************/
#ifndef _VEHICULE_H
#define _VEHICULE_H

class Vehicule{
protected:
    string marque;
    string modele;

public:
//CONSTRUCTEURS
    Vehicule(string marque_="", string modele_="");
//DESTRUCTEUR
    virtual ~Vehicule();
//ACCESSEUR
    const string& GetMarque() const;
    void SetMarque(string& marque);
    const string& GetModele() const;
    void SetModele(string& modele);


//METHODE Virtuelle
	virtual void affiche(ostream& aff) const=0;
	virtual bool operator == (Vehicule & pV) const=0;


	//LIEN vers objet actif
public:
    //Hangar<Vehicule>* _refHangar;
	void* _refHangar;

//METHODES pour CONSRUCTEUR et DESTRUCTEUR   
private:
    void ConstructorInclude();
    void DestructorInclude();
    
//METHODE RELATION AVEC OBJET ACTIF
public:
    //Hangar<Vehicule>* GetHangar() const { assert(this);return _refHangar; };
	void * GetHangar() const { assert(this);return _refHangar; };

};

#endif


#ifdef CB_INLINES
#ifndef _VEHICULE_H_INLINES
#define _VEHICULE_H_INLINES

/*
Returns the value of member 'marque'.
*/
inline const string& Vehicule::GetMarque() const{
    return marque;
}
/*
Set the value of member 'marque' to 'marque'.
*/
inline void Vehicule::SetMarque(string& marque){
    marque = marque;
}
/*
Returns the value of member 'modele'.
*/
inline const string& Vehicule::GetModele() const{
    return modele;
}
/*
Set the value of member 'modele' to 'modele'.
*/
inline void Vehicule::SetModele(string& modele){
    modele = modele;
}
#endif
#endif
