/****************************************************\
* File:          Voiture.cpp
* Creation date: January 05, 2005 22:20
* Author:        ClassBuilder
* Purpose:       Method implementations of class 'Voiture'
\***************************************************/

// Master include file
#include "hangarVehic.h"


void Voiture::DestructorInclude(){
	assert(this);
	allocator<Voiture>::pointer index;

	    if (_refHangar){
		index= ((Hangar<Voiture> *)_refHangar)->recherche((Voiture &) *this);
		((Hangar<Voiture> *)_refHangar)->RemoveT((Voiture & )*this);
        _refHangar = (Hangar<Voiture>*)0;
	}
}
/*
Constructor method.
*/
Voiture::Voiture(string marque_, string modele_, int kilometrage_) //@INIT_269
    : Vehicule(marque_, modele_)
    , kilometrage(kilometrage_)
{}

/*
Destructor method.
*/
Voiture::~Voiture(){
	cout<<"voiture :"<<marque<< "detruit\n";
	DestructorInclude();
}
//surcharges METHODES virtuelles
void Voiture::affiche(ostream& aff) const
{
    aff<<"VOITURE"<<endl;
	aff<<"marque:"<<marque<<endl;
	aff<<"modele:"<<modele<<endl;
	aff<<"kilometrage:"<<kilometrage<<endl;
}
bool Voiture::operator == (Vehicule &pV) const{
	Voiture& pVo = (Voiture &) pV;
	return((this->marque==pVo.marque)&&(this->modele==pVo.modele)&&
		(this->kilometrage==pVo.kilometrage)) ;
	}
