// crytographe.h: interface for the crytographe class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_CRYPTOGRAPHE_H)
#define _CRYPTOGRAPHE_H


class cryptographe  {

	char* in_file;
	char* out_file;
	char* identity;

	char key;

	bool is_encrypted() const;
	bool is_valid_identity() const;
	void look_at_file(const char* file) const;

public:

	cryptographe(const char* id, const char* name1, const char* name2, char cle);
	virtual ~cryptographe();
	void encrypt() const;
	void decrypt() const;
	void look_at_in_file() const;
	void look_at_out_file() const;

};

#endif // !defined(_CRYPTOGRAPHE_H)
