//fract_sa.h
//TD03
#ifndef FRACTION_H
#define FRACTION_H

#include <iostream>
//class fraction

using namespace std;

class fraction {
private:
	int num;
	int denom;
	static int nbFraction; 


public:
// explicit empeche la conversion implicite dans le passage de paramtre 
// et dans l'affectation d'un  entier
// explicit 
   fraction(int n=0, int d=1);
//destructeur
   ~fraction(){nbFraction--;}

	static int pgcd(int u,int v);
	static int get_nbFraction();
	
	void simplification();
	int lire_num() const;
	int lire_denom() const;
	void ecrit_num(int );
	void ecrit_denom(int );
/*
affectation d'un entier
ncessaire si le constructeur 
est dclar explicit
*/
//fraction& operator = (int const );

//addition de deux fractions
/* 
renvoie une fraction, 
le premier oprande  gauche du + est l'objet lui mme 
le deuxime oprande  droite du plus est le paramtre
*/	
	fraction operator +( fraction const & );
	fraction operator -(fraction const & );

	fraction & operator += (fraction const & );


//attention syntaxe
//prefix
	fraction &  operator ++();
//postfix 
	fraction  operator ++(int);

	bool operator < (fraction const & );
	
//dfinitions globales
//friend vite l'utilisation d'accesseurs	
    friend ostream & operator << (ostream & , fraction  const &);

	friend istream& operator>>(istream& flot, fraction& f);
  
    friend fraction operator + (fraction const & ,fraction const & );
	
    friend fraction operator * (fraction const &, fraction const &); 
    
    friend bool operator==(const fraction & f1, const fraction & f2);
};
#endif
