//personne.cpp
#include <iostream>
#include <stdlib.h>
#include "personne.h"   
using namespace std;

//constructeur sans parametre
Personne::Personne(){}
//constructeur avec parametres
/*
Personne::Personne(string const &nom, string const &adresse,
                    string const &tel, unsigned poids){
        d_nom = nom;
        d_adresse = adresse;
        d_tel = tel;
        d_poids = poids;
    }
 */
Personne::Personne(string const &nom, string const &adresse,
                    string const &tel, unsigned poids)
: //ATTENTION il y a un  :
d_nom ( nom) ,
d_adresse (adresse) ,
d_tel (tel) ,
d_poids (poids)
{}


    //  functions d'interface set...()
void Personne::setnom(string const &nom){
        d_nom = nom;
    }

void Personne::setadresse(string const &adresse){
        d_adresse = adresse;
    }

void Personne::settel(string const &tel){
        d_tel = tel;
    }

void Personne::setpoids(unsigned poids){
        d_poids = poids;
    }

//  functions d'interface get...()
string const &Personne::getnom() const{
        return d_nom;
    }

string const &Personne::getadresse() const{
       return d_adresse;
    }

string const &Personne::gettel() const{
       return d_tel;
    }

unsigned Personne::getpoids() const{
       return d_poids;
    }
//mthode
void Personne::printperson2(ostream& flux){
        flux << "Nom   : " << getnom()     << endl <<
                "Addresse : " << getadresse()  << endl <<
                "telePhone   : " << gettel()    << endl <<
                "poids  : " << getpoids()   << endl;
    }
    
Personne & Personne::operator = (Personne p){
return (p);
}

ostream& operator<<(ostream& flux, Personne & p){
    p.printperson2(flux);
    return(flux);
    }
