// pile0.h: interface for the pile class.

//

//////////////////////////////////////////////////////////////////////



#ifndef PILE_H
#define PILE_H

#include<iostream>
#include "personne.h"

using namespace std;

//////////////////////////////////////////////////////////////////////

///////////////   PILE  //////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
class pile  {
	unsigned int nb_max; // nb max lments dans la pile
    int tete; // pointe sur le premier lment  depiler
	Personne * tab; // tableau pour simuler la pile
public:
	pile(const unsigned int n=0);
	pile(const pile& p); // constructeur de copie
	~pile();
	pile& operator=(const pile & );
	void empiler(Personne &); // empile un element e
	Personne  depiler(); // depile un lment
	Personne lire_dernier(); // lit le dernier lment sans dpiler
	bool est_vide(); // true si la pile est vide, false sinon
	bool est_pleine(); // true si la pile est pleine, false sinon
	void vider(); // vider entierement la pile;
	void affiche(ostream&) const;
	pile operator+(const pile& p2);

	friend ostream& operator<<(ostream& flux, pile& p);

};



#endif 

