
//textEditorApp2.cpp

#include "wx/wx.h"

#include "TextEditorApp2.h"

IMPLEMENT_APP(TextEditorApp)

/**
* . dfinition du constructeur TextFrame
*/

TextFrame::TextFrame(const wxChar *title, int xpos, int ypos, int width, int height)
: wxFrame((wxFrame *) NULL, -1, title, wxPoint(xpos, ypos), wxSize(width, height))
{

//creation de l'objet de gestion de texte wxTextCtrl
m_pTextCtrl = new wxTextCtrl(this, -1, wxString("Entrer un texte..."),
wxDefaultPosition, wxDefaultSize, wxTE_MULTILINE);


m_pMenuBar = new wxMenuBar();
// File Menu
m_pFileMenu = new wxMenu();
m_pFileMenu->Append(MENU_FILE_OPEN, "&Ouvrir");
m_pFileMenu->Append(MENU_FILE_SAVE, "&Sauver");
m_pFileMenu->AppendSeparator();
m_pFileMenu->Append(MENU_FILE_QUIT, "&Quitter");
m_pMenuBar->Append(m_pFileMenu, "&Fichier");
// About menu
m_pInfoMenu = new wxMenu();
m_pInfoMenu->Append(MENU_INFO_ABOUT, "&A propos");
m_pMenuBar->Append(m_pInfoMenu, "&Information");

SetMenuBar(m_pMenuBar);

}

TextFrame::~TextFrame()
{
}

bool TextEditorApp::OnInit()
{
TextFrame *frame = new TextFrame("Simple Editeur de Texte", 100, 100, 400, 300);
frame->Show(TRUE);
SetTopWindow(frame);
return true;
}



