//textEditorApp4.h

#ifndef TEXTEDITORAPP_H
#define TEXTEDITORAPP_H

class TextEditorApp : public wxApp
{
public:
/**
* Initialize the application
*/
virtual bool OnInit();
};

class TextFrame : public wxFrame
{
public:
/**
* . dclaration constructeur TextFrame
*/
TextFrame(const wxChar *title, int xpos, int ypos, int width, int height);

/**

* Destructor
*/
~TextFrame();

/**

* Processes menu File|Open

*/
void OnMenuFileOpen(wxCommandEvent &event);
/**

* Processes menu File|Save

*/
void OnMenuFileSave(wxCommandEvent &event);
/**

* Processes menu File|Quit

*/
void OnMenuFileQuit(wxCommandEvent &event);
/**

* Processes menu About|Info

*/
void OnMenuInfoAbout(wxCommandEvent &event);

protected:

DECLARE_EVENT_TABLE()




private:

//pointeur vers un objet qui gre du texte
wxTextCtrl *m_pTextCtrl;

//barre de menu

wxMenuBar *m_pMenuBar;
wxMenu *m_pFileMenu;
wxMenu *m_pInfoMenu;


enum
{
MENU_FILE_OPEN,
MENU_FILE_SAVE,
MENU_FILE_QUIT,
MENU_INFO_ABOUT
};



};

DECLARE_APP(TextEditorApp)

#endif // TEXTEDITORAPP_H

